﻿--<< ====================================================================== >>--
-- Setup Timers                                                               --
--<< ====================================================================== >>--
local BS = AceLibrary("Babble-Spell-2.2")
local L = AceLibrary("AceLocale-2.2"):new("Chronometer")

function Chronometer:HunterSetup()
	local _, eclass = UnitClass("player")
	if eclass ~= "HUNTER" then return end

	self:AddGroup(1, true,  "MAGENTA")
	self:AddGroup(2, false, "MAROON")
	self:AddGroup(3, true,  "ORANGE")

	self:AddTimer(self.SPELL, BS["Bestial Wrath"],           18, 0,1,1)
	self:AddTimer(self.SPELL, BS["Concussive Shot"],          4, 1,0,0, { ea={[BS["Improved Concussive Shot"]]=4} })
	self:AddTimer(self.SPELL, BS["Counterattack"],            5, 1,0,0)
	self:AddTimer(self.SPELL, BS["Deterrence"],              10, 0,1,1)
	self:AddTimer(self.SPELL, BS["Explosive Trap"],          60, 0,0,0, { gr=1, ea={[BS["Explosive Trap Effect"]]=60}  })
	self:AddTimer(self.SPELL, BS["Freezing Trap"],           60, 0,0,0, { gr=1, ea={[BS["Freezing Trap Effect"]]=60}   })
	self:AddTimer(self.SPELL, BS["Frost Trap"],              60, 0,0,0, { gr=1, ea={[BS["Frost Trap Aura"]]=60}      })
	self:AddTimer(self.SPELL, BS["Snake Trap"],              60, 0,0,0, { gr=1, ea={[BS["Snake Trap Effect"]]=60}      })
	self:AddTimer(self.SPELL, BS["Flare"],                   30, 0,0,0)
	self:AddTimer(self.SPELL, BS["Hunter's Mark"],          120, 1,0,0)
	self:AddTimer(self.SPELL, BS["Immolation Trap"],         60, 0,0,0, { gr=1, ea={[BS["Immolation Trap Effect"]]=60} })
	self:AddTimer(self.SPELL, BS["Rapid Fire"],              15, 0,1,1)
	self:AddTimer(self.SPELL, BS["Scare Beast"],             10, 1,0,0, { d={rs=5} })
	self:AddTimer(self.SPELL, BS["Scatter Shot"],             4, 1,0,0)
	self:AddTimer(self.SPELL, BS["Scorpid Sting"],           20, 1,0,0, { gr=2 })
	self:AddTimer(self.SPELL, BS["Serpent Sting"],           15, 1,0,0, { gr=2 })
	self:AddTimer(self.SPELL, BS["Viper Sting"],              8, 1,0,0, { gr=2 })
	self:AddTimer(self.SPELL, BS["Wing Clip"],               10, 1,0,0, { ea={[BS["Improved Wing Clip"]]=10} })
	self:AddTimer(self.SPELL, BS["Wyvern Sting"],            12, 1,0,0, { gr=2 })
	self:AddTimer(self.SPELL, BS["Misdirection"],            30, 1,1,1)
	self:AddTimer(self.SPELL, BS["Silencing Shot"],           3, 1,0,0)
	self:AddTimer(self.SPELL, BS["Feed Pet"],                20, 0,1,0)
	self:AddTimer(self.SPELL, BS["Intimidation"],            15, 0,1,0, { gr=3, ea={[BS["Intimidation"]]=15} })

	self:AddTimer(self.EVENT, BS["Explosive Trap Effect"],   20, 1,0,1, { gr=1, xn=BS["Explosive Trap"] })
	self:AddTimer(self.EVENT, BS["Freezing Trap Effect"],    10, 1,0,1, { gr=1, d={rs=5, tn=BS["Clever Traps"], tb=0.15, tp=1}, xn=BS["Freezing Trap"] })
	self:AddTimer(self.EVENT, BS["Frost Trap Aura"],         30, 0,0,0, { gr=1, d={tn=BS["Clever Traps"], tb=0.15, tp=1}, xn=BS["Frost Trap"] })
	self:AddTimer(self.EVENT, BS["Immolation Trap Effect"],  15, 1,0,1, { gr=1, xn=BS["Immolation Trap"] })
	self:AddTimer(self.EVENT, BS["Improved Concussive Shot"], 3, 1,0,0, { cr="GREEN", xn=BS["Concussive Shot"] })
	self:AddTimer(self.EVENT, BS["Improved Wing Clip"],       5, 1,0,0, { cr="GREEN", xn=BS["Wing Clip"] } )
	self:AddTimer(self.EVENT, BS["Quick Shots"],             12, 0,1,1, { a=1, cr="GREEN", tx="Interface\\Icons\\Ability_Warrior_InnerRage" })
	self:AddTimer(self.EVENT, BS["Rapid Killing"],           20, 0,1,1, { a=1, cr="GREEN", xn=BS["Rapid Killing"] })
	self:AddTimer(self.EVENT, BS["The Beast Within"],        18, 0,1,1, { a=1, cr="GREEN", xn=BS["The Beast Within"] })
	self:AddTimer(self.EVENT, BS["Snake Trap Effect"],       30, 0,0,0, { gr=1, xn=BS["Snake Trap"] })
	self:AddTimer(self.EVENT, BS["Ferocious Inspiration"],   10, 0,1,1, { a=1, cr="GREEN" })
	self:AddTimer(self.EVENT, BS["Intimidation"],             3, 1,0,0, { gr=3 })
	self:AddTimer(self.EVENT, BS["Tactical Mastery"],         8, 0,1,1, { a=1, cr="GREEN" })
	self:AddTimer(self.EVENT, BS["Expose Weakness"],          7, 1,0,0, { cr="GREEN" })
	--self:AddTimer(A.SKILL, C.COUNTERATTACK,            5, 0,1,0, { cr="YELLOW" })
	--self:AddTimer(A.SKILL, C.MONGOOSE_BITE,            5, 0,1,0, { cr="YELLOW" })
end

table.insert(Chronometer.dataSetup, Chronometer.HunterSetup)
